_IXML_Node Struct Reference
XML API

Data structure common to all types of nodes. More...

`#include <ixml.h>`

Collaboration diagram for _IXML_Node:
[legend]

## Data Fields

char * | nodeName
char * | nodeValue
IXML_NODE_TYPE | nodeType
char * | namespaceURI
char * | prefix
char * | localName
int | readOnly
Nodeptr | parentNode
Nodeptr | firstChild
Nodeptr | prevSibling
Nodeptr | nextSibling
Nodeptr | firstAttr
Docptr | ownerDocument

## Detailed Description

Data structure common to all types of nodes.

The documentation for this struct was generated from the following file:

- /build/pupnp-EKUuah/pupnp-1.14.18/ixml/inc/ixml.h